| QxOrm 1.2.1 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Namespace List
- Namespace Members

Functions
qx::function::detail Namespace Reference
QxFunction : QxOrm library function used by introspection engine

Internal helper tools for qx::function namespace. More...

## Functions
template<class T , typename P >
qx_bool | get_param_1 (const T &params, P &p, const qx::IxFunction *qx_fct)
template<class T , typename P >
qx_bool | get_param_2 (const T &params, P &p, const qx::IxFunction *qx_fct)
template<class T , typename P >
qx_bool | get_param_3 (const T &params, P &p, const qx::IxFunction *qx_fct)
template<class T , typename P >
qx_bool | get_param_4 (const T &params, P &p, const qx::IxFunction *qx_fct)
template<class T , typename P >
qx_bool | get_param_5 (const T &params, P &p, const qx::IxFunction *qx_fct)
template<class T , typename P >
qx_bool | get_param_6 (const T &params, P &p, const qx::IxFunction *qx_fct)
template<class T , typename P >
qx_bool | get_param_7 (const T &params, P &p, const qx::IxFunction *qx_fct)
template<class T , typename P >
qx_bool | get_param_8 (const T &params, P &p, const qx::IxFunction *qx_fct)
template<class T , typename P >
qx_bool | get_param_9 (const T &params, P &p, const qx::IxFunction *qx_fct)
template<typename P >
qx_bool | get_param_1 (const QString &params, P &p, const qx::IxFunction *qx_fct)
template<typename P >
qx_bool | get_param_2 (const QString &params, P &p, const qx::IxFunction *qx_fct)
template<typename P >
qx_bool | get_param_3 (const QString &params, P &p, const qx::IxFunction *qx_fct)
template<typename P >
qx_bool | get_param_4 (const QString &params, P &p, const qx::IxFunction *qx_fct)
template<typename P >
qx_bool | get_param_5 (const QString &params, P &p, const qx::IxFunction *qx_fct)
template<typename P >
qx_bool | get_param_6 (const QString &params, P &p, const qx::IxFunction *qx_fct)
template<typename P >
qx_bool | get_param_7 (const QString &params, P &p, const qx::IxFunction *qx_fct)
template<typename P >
qx_bool | get_param_8 (const QString &params, P &p, const qx::IxFunction *qx_fct)
template<typename P >
qx_bool | get_param_9 (const QString &params, P &p, const qx::IxFunction *qx_fct)
template<>
qx_bool | get_param_1 (const QString &params, QString &p, const qx::IxFunction *qx_fct)
template<>
qx_bool | get_param_2 (const QString &params, QString &p, const qx::IxFunction *qx_fct)
template<>
qx_bool | get_param_3 (const QString &params, QString &p, const qx::IxFunction *qx_fct)
template<>
qx_bool | get_param_4 (const QString &params, QString &p, const qx::IxFunction *qx_fct)
template<>
qx_bool | get_param_5 (const QString &params, QString &p, const qx::IxFunction *qx_fct)
template<>
qx_bool | get_param_6 (const QString &params, QString &p, const qx::IxFunction *qx_fct)
template<>
qx_bool | get_param_7 (const QString &params, QString &p, const qx::IxFunction *qx_fct)
template<>
qx_bool | get_param_8 (const QString &params, QString &p, const qx::IxFunction *qx_fct)
template<>
qx_bool | get_param_9 (const QString &params, QString &p, const qx::IxFunction *qx_fct)

## Detailed Description

Internal helper tools for qx::function namespace.

## Function Documentation

template<class T , typename P >

qx_bool qx::function::detail::get_param_1 | ( | const T & | params,
|  | P & | p,
|  | const qx::IxFunction * | qx_fct
| ) |  | `[inline]`

Definition at line 47 of file QxParameters.h.

template<typename P >

qx_bool qx::function::detail::get_param_1 | ( | const QString & | params,
|  | P & | p,
|  | const qx::IxFunction * | qx_fct
| ) |  | `[inline]`

Definition at line 74 of file QxParameters.h.

template<>

qx_bool qx::function::detail::get_param_1 | ( | const QString & | params,
|  | QString & | p,
|  | const qx::IxFunction * | qx_fct
| ) |  | `[inline]`

Definition at line 101 of file QxParameters.h.

template<class T , typename P >

qx_bool qx::function::detail::get_param_2 | ( | const T & | params,
|  | P & | p,
|  | const qx::IxFunction * | qx_fct
| ) |  | `[inline]`

Definition at line 50 of file QxParameters.h.

template<>

qx_bool qx::function::detail::get_param_2 | ( | const QString & | params,
|  | QString & | p,
|  | const qx::IxFunction * | qx_fct
| ) |  | `[inline]`

Definition at line 104 of file QxParameters.h.

template<typename P >

qx_bool qx::function::detail::get_param_2 | ( | const QString & | params,
|  | P & | p,
|  | const qx::IxFunction * | qx_fct
| ) |  | `[inline]`

Definition at line 77 of file QxParameters.h.

template<>

qx_bool qx::function::detail::get_param_3 | ( | const QString & | params,
|  | QString & | p,
|  | const qx::IxFunction * | qx_fct
| ) |  | `[inline]`

Definition at line 107 of file QxParameters.h.

template<class T , typename P >

qx_bool qx::function::detail::get_param_3 | ( | const T & | params,
|  | P & | p,
|  | const qx::IxFunction * | qx_fct
| ) |  | `[inline]`

Definition at line 53 of file QxParameters.h.

template<typename P >

qx_bool qx::function::detail::get_param_3 | ( | const QString & | params,
|  | P & | p,
|  | const qx::IxFunction * | qx_fct
| ) |  | `[inline]`

Definition at line 80 of file QxParameters.h.

template<class T , typename P >

qx_bool qx::function::detail::get_param_4 | ( | const T & | params,
|  | P & | p,
|  | const qx::IxFunction * | qx_fct
| ) |  | `[inline]`

Definition at line 56 of file QxParameters.h.

template<>

qx_bool qx::function::detail::get_param_4 | ( | const QString & | params,
|  | QString & | p,
|  | const qx::IxFunction * | qx_fct
| ) |  | `[inline]`

Definition at line 110 of file QxParameters.h.

template<typename P >

qx_bool qx::function::detail::get_param_4 | ( | const QString & | params,
|  | P & | p,
|  | const qx::IxFunction * | qx_fct
| ) |  | `[inline]`

Definition at line 83 of file QxParameters.h.

template<class T , typename P >

qx_bool qx::function::detail::get_param_5 | ( | const T & | params,
|  | P & | p,
|  | const qx::IxFunction * | qx_fct
| ) |  | `[inline]`

Definition at line 59 of file QxParameters.h.

template<>

qx_bool qx::function::detail::get_param_5 | ( | const QString & | params,
|  | QString & | p,
|  | const qx::IxFunction * | qx_fct
| ) |  | `[inline]`

Definition at line 113 of file QxParameters.h.

template<typename P >

qx_bool qx::function::detail::get_param_5 | ( | const QString & | params,
|  | P & | p,
|  | const qx::IxFunction * | qx_fct
| ) |  | `[inline]`

Definition at line 86 of file QxParameters.h.

template<>

qx_bool qx::function::detail::get_param_6 | ( | const QString & | params,
|  | QString & | p,
|  | const qx::IxFunction * | qx_fct
| ) |  | `[inline]`

Definition at line 116 of file QxParameters.h.

template<class T , typename P >

qx_bool qx::function::detail::get_param_6 | ( | const T & | params,
|  | P & | p,
|  | const qx::IxFunction * | qx_fct
| ) |  | `[inline]`

Definition at line 62 of file QxParameters.h.

template<typename P >

qx_bool qx::function::detail::get_param_6 | ( | const QString & | params,
|  | P & | p,
|  | const qx::IxFunction * | qx_fct
| ) |  | `[inline]`

Definition at line 89 of file QxParameters.h.

template<>

qx_bool qx::function::detail::get_param_7 | ( | const QString & | params,
|  | QString & | p,
|  | const qx::IxFunction * | qx_fct
| ) |  | `[inline]`

Definition at line 119 of file QxParameters.h.

template<typename P >

qx_bool qx::function::detail::get_param_7 | ( | const QString & | params,
|  | P & | p,
|  | const qx::IxFunction * | qx_fct
| ) |  | `[inline]`

Definition at line 92 of file QxParameters.h.

template<class T , typename P >

qx_bool qx::function::detail::get_param_7 | ( | const T & | params,
|  | P & | p,
|  | const qx::IxFunction * | qx_fct
| ) |  | `[inline]`

Definition at line 65 of file QxParameters.h.

template<typename P >

qx_bool qx::function::detail::get_param_8 | ( | const QString & | params,
|  | P & | p,
|  | const qx::IxFunction * | qx_fct
| ) |  | `[inline]`

Definition at line 95 of file QxParameters.h.

template<class T , typename P >

qx_bool qx::function::detail::get_param_8 | ( | const T & | params,
|  | P & | p,
|  | const qx::IxFunction * | qx_fct
| ) |  | `[inline]`

Definition at line 68 of file QxParameters.h.

template<>

qx_bool qx::function::detail::get_param_8 | ( | const QString & | params,
|  | QString & | p,
|  | const qx::IxFunction * | qx_fct
| ) |  | `[inline]`

Definition at line 122 of file QxParameters.h.

template<>

qx_bool qx::function::detail::get_param_9 | ( | const QString & | params,
|  | QString & | p,
|  | const qx::IxFunction * | qx_fct
| ) |  | `[inline]`

Definition at line 125 of file QxParameters.h.

template<class T , typename P >

qx_bool qx::function::detail::get_param_9 | ( | const T & | params,
|  | P & | p,
|  | const qx::IxFunction * | qx_fct
| ) |  | `[inline]`

Definition at line 71 of file QxParameters.h.

template<typename P >

qx_bool qx::function::detail::get_param_9 | ( | const QString & | params,
|  | P & | p,
|  | const qx::IxFunction * | qx_fct
| ) |  | `[inline]`

Definition at line 98 of file QxParameters.h.

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines